# Class FrameControl

java.lang.Object
uk.ac.starlink.topcat.plot2.TabberControl
uk.ac.starlink.topcat.plot2.ConfigControl
uk.ac.starlink.topcat.plot2.FrameControl

All Implemented Interfaces:
  `Configger, Control`

public class FrameControl extends ConfigControl
Control for defining characteristics of the external frame within which the plot is painted.

Since:
  8 Jan 2015
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FrameControl()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`PlotPosition`
`getPlotPosition()`
Returns an object that can provide explicit settings for plot icon dimensions and positioning.
`String`
`getPlotTitle()`
Returns a plot title.

### Methods inherited from class ConfigControl

`addSpecifierTab, getConfig, getConfigSpecifiers`

### Methods inherited from class TabberControl

`addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getControlLabel, getPanel, getTabber, removeActionListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameControl

public FrameControl()
Constructor.

## Method Details

### getPlotPosition

public PlotPosition getPlotPosition()
Returns an object that can provide explicit settings for plot icon dimensions and positioning.

Returns:
  plot position

### getPlotTitle

public String getPlotTitle()
Returns a plot title.

Returns:
  plot title, or null